Get an inventory item
GET https://{handle}.myshopline.com/admin/openapi/v20261201/inventory_items/:inventory_item_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get an inventory item.
Path Parameters
- inventory_item_id string requiredThe unique identifier for the inventory item.
Maximum length:64Example:5703943240925324252
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
inventory_itemobject
Inventory item information.required_shipping booleanIndicates whether the variant is required to be shipped.true: Shipping is required.false: Shipping is not required.
sku stringThe product SKU. It is distinct fromvariant_idreturned by SHOPLINE.Example:K00000000001tracked booleanIndicates whether the inventory tracking is enabled.true: Inventory tracking is enabled.false: Inventory tracking is not enabled.
updated_at stringThe date and time when the inventory item was last updated. Format: ISO 8601.Example:2022-12-06T20:23:06+08:00variant_id stringThe unique identifier for the variant.Example:18057039432358082693350282cost stringThe cost price of the variant. The value is rounded to two decimal places.Example:10.91created_at stringThe date and time when the inventory item was created. Format: ISO 8601.Example:2022-12-06T20:23:06+08:00id stringThe unique identifier for the inventory item.Example:5703943240925324252
API Explorer
Debugger
Examples
Was this article helpful to you?